<!DOCTYPE html>
<html>
<body>

<p>Click the button to sort the array in descending order.</p>

<button onclick="myFunction()">Try it</button>

<p id="demo"></p>

<script>
var fruits = ["pera","Mandarina","kiwi","banana", "Plàtan"];

   // sortida: [”banana”, ”kiwi”,“pera”,“Plàtan”,”Mandarina”]

document.getElementById("demo").innerHTML = fruits;

function myFunction() {
  fruits.sort(function (a, b) {
    return a.toLowerCase().localeCompare(b.toLowerCase());
});

var x =fruits.sort(function (a, b) {
    return a>b;});
    
   
  
  document.getElementById("demo").innerHTML = x;
}
</script>

</body>
</html>